%define  _requires_exceptions devel(/lib/libNoVersion)
%define major	2

Name: geotiff
Summary: Cartographic software
Version: 1.4.2
Release: %mkrel 1
Group: Sciences/Geosciences
Source0: libgeotiff-%{version}.tar.xz
License: MIT style
URL: http://www.remotesensing.org/geotiff/geotiff.html
BuildRoot:     %{_tmppath}/%{name}-buildroot
Requires: proj
BuildRequires: libtiff-devel
BuildRequires: libjpeg-devel 
BuildRequires: zlib-devel 
BuildRequires: proj-devel
BuildRequires: doxygen

%description
This library is designed to permit the extraction and parsing of the
"GeoTIFF" Key directories, as well as definition and installation
of GeoTIFF keys in new files.

%files 
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/man1/listgeo.1.bz2
%{_mandir}/man1/applygeo.1.bz2
%{_mandir}/man1/geotifcp.1.bz2
%dir %{_datadir}/epsg_csv
%attr(0755,root,root) %{_datadir}/epsg_csv/csv2c.py*
%attr(0755,root,root) %{_datadir}/epsg_csv/csv_tools.py*
%attr(0644,root,root) %{_datadir}/epsg_csv/*.csv

#------------------------------------------------------------

%define libname %mklibname geotiff %{major}

%package -n %libname
Summary: Cartographic software - Libraries
Group: System/Libraries

%description -n %libname
This library is designed to permit the extraction and parsing of the
"GeoTIFF" Key directories, as well as definition and installation
of GeoTIFF keys in new files. For more information about GeoTIFF
specifications, projection codes and use, see the WWW web page at:

%files -n %libname
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

#------------------------------------------------------------

%define libdev %mklibname geotiff -d

%package -n %libdev
Summary: Cartographic software - Development files
Group: Development/Libraries
Requires: %libname = %{version}
Provides: geotiff-devel = %{version}-%{release}
Requires: libtiff-devel
Obsoletes: %{libname}-devel

%description -n %libdev
libgeotiff development files.

%files -n %libdev
%defattr(-,root,root)
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/pkgconfig/%{name}.pc

%prep
%setup -q -n libgeotiff-%version


# fix wrongly encoded files from tarball
 	set +x
 	for f in `find . -type f` ; do
 	if file $f | grep -q ISO-8859 ; then
 	set -x
 	iconv -f ISO-8859-1 -t UTF-8 $f > ${f}.tmp && \
 	mv -f ${f}.tmp $f
 	set +x
 	fi
 	if file $f | grep -q CRLF ; then
 	set -x
 	sed -i -e 's|\r||g' $f
 	set +x
 	fi
 	done
 	set -x 

%build

# disable -g flag removal
 	sed -i 's| \| sed \"s\/-g \/\/\"||g' configure
 	
# use gcc -shared instead of ld -shared to build with -fstack-protector
 	sed -i 's|LD_SHARED=@LD_SHARED@|LD_SHARED=@CC@ -shared|' Makefile.in 

%configure2_5x \
	--with-proj=%{_prefix} \
	--with-jpeg=%{_prefix} \
	--with-libtiff=%{_prefix} \
    	--without-static \
	--enable-incode-epsg

make COPTS="$RPM_OPT_FLAGS -fPIC" LDFLAGS="$LDFLAGS -lc"

%install
rm -Rf %{buildroot}
%makeinstall
chmod 644 %{buildroot}%{_includedir}/*

# install manualy some file
install -p -m 755 bin/makegeo %{buildroot}%{_bindir}

# install pkgconfig file
cat > %{name}.pc <<EOF
prefix=%{_prefix}
exec_prefix=%{_prefix}
libdir=%{_libdir}
includedir=%{_includedir}/%{name}

Name: %{name}
Description: GeoTIFF file format library
Version: %{version}
Libs: -L\${libdir} -lgeotiff
Cflags: -I\${includedir}
EOF

mkdir -p %{buildroot}%{_libdir}/pkgconfig/
install -p -m 644 %{name}.pc %{buildroot}%{_libdir}/pkgconfig/

#clean up junks
rm -rf $RPM_BUILD_ROOT%_libdir/*.la


%clean
rm -rf %{buildroot}



%changelog
* Sun Feb 19 2017 pp <pp> 1.4.2-1pclos2017
- update

* Sun Oct 11 2015 pp <pp> 1.4.1-2pclos2015
- rebuild against new proj

* Fri Mar 13 2015 pinoc <vogtpet at gmail.com> 1.4.1-1pclos2015
- 1.4.1

* Thu Nov 21 2013 pinoc <vogtpet at gmail.com> 1.4.0-1pclos2013
- 1.4.0

* Fri Sep 09 2011 Texstar <texstar at gmail.com> 1.30-2pclos2011
- rebuild and change specfile to libs
